/*
 * DTMF Tester
 * 
 * Copyright (C) 2012 Yuuichi Akagawa
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ammlab.android.dtmftest;

import android.app.Activity;
import android.media.AudioManager;
import android.media.ToneGenerator;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class DTMFtestActivity extends Activity {
	private Button mButton0;
    private Button mButton1;
    private Button mButton2;
    private Button mButton3;
    private Button mButton4;
    private Button mButton5;
    private Button mButton6;
    private Button mButton7;
    private Button mButton8;
    private Button mButton9;
    private Button mButtona;
    private Button mButtonb;
    private Button mButtonc;
    private Button mButtond;
    private Button mButtonp;
    private Button mButtons;
    private Button mButtonstop;

    ToneGenerator toneGenerator;
    
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);

        //DTMF
        toneGenerator = new
        ToneGenerator(AudioManager.STREAM_SYSTEM,ToneGenerator.MAX_VOLUME);
        toneGenerator.stopTone();	
        
        mButton0    = (Button)   findViewById(R.id.button0);
        mButton1    = (Button)   findViewById(R.id.button1);
        mButton2    = (Button)   findViewById(R.id.button2);
        mButton3    = (Button)   findViewById(R.id.button3);
        mButton4    = (Button)   findViewById(R.id.button4);
        mButton5    = (Button)   findViewById(R.id.button5);
        mButton6    = (Button)   findViewById(R.id.button6);
        mButton7    = (Button)   findViewById(R.id.button7);
        mButton8    = (Button)   findViewById(R.id.button8);
        mButton9    = (Button)   findViewById(R.id.button9);
        mButtona    = (Button)   findViewById(R.id.buttona);
        mButtonb    = (Button)   findViewById(R.id.buttonb);
        mButtonc    = (Button)   findViewById(R.id.buttonc);
        mButtond    = (Button)   findViewById(R.id.buttond);
        mButtonp    = (Button)   findViewById(R.id.buttonp);
        mButtons    = (Button)   findViewById(R.id.buttons);
        mButtonstop = (Button)   findViewById(R.id.buttonstop);

		mButton0.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				toneGenerator.startTone(ToneGenerator.TONE_DTMF_0);	
            }
        });
		mButton1.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				toneGenerator.startTone(ToneGenerator.TONE_DTMF_1);	
            }
        });
		mButton2.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				toneGenerator.startTone(ToneGenerator.TONE_DTMF_2);	
            }
        });
		mButton3.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				toneGenerator.startTone(ToneGenerator.TONE_DTMF_3);	
            }
        });
		mButton4.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				toneGenerator.startTone(ToneGenerator.TONE_DTMF_4);	
            }
        });
		mButton5.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				toneGenerator.startTone(ToneGenerator.TONE_DTMF_5);	
            }
        });
		mButton6.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				toneGenerator.startTone(ToneGenerator.TONE_DTMF_6);	
            }
        });
		mButton7.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				toneGenerator.startTone(ToneGenerator.TONE_DTMF_7);	
            }
        });
		mButton8.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				toneGenerator.startTone(ToneGenerator.TONE_DTMF_8);	
            }
        });
		mButton9.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				toneGenerator.startTone(ToneGenerator.TONE_DTMF_9);	
            }
        });
		mButtona.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				toneGenerator.startTone(ToneGenerator.TONE_DTMF_A);	
            }
        });
		mButtonb.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				toneGenerator.startTone(ToneGenerator.TONE_DTMF_B);	
            }
        });
		mButtonc.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				toneGenerator.startTone(ToneGenerator.TONE_DTMF_C);	
            }
        });
		mButtond.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				toneGenerator.startTone(ToneGenerator.TONE_DTMF_D);	
            }
        });
		mButtonp.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				toneGenerator.startTone(ToneGenerator.TONE_DTMF_P);	
            }
        });
		mButtons.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				toneGenerator.startTone(ToneGenerator.TONE_DTMF_S);	
            }
        });
		mButtonstop.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				toneGenerator.stopTone();	
            }
        });
  }
    @Override
    public void onStop(){
		toneGenerator.stopTone();
		super.onStop();
    }
}